Create Device
curl --request POST \
--url https://api.pathstack.io/device \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"system_device_id": "<string>",
"registration": "<string>",
"make": "<string>",
"model": "<string>",
"year": 123,
"active": true,
"tags": [
"<string>"
],
"connection_id": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.pathstack.io/device"
payload = {
"system_device_id": "<string>",
"registration": "<string>",
"make": "<string>",
"model": "<string>",
"year": 123,
"active": True,
"tags": ["<string>"],
"connection_id": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
system_device_id: '<string>',
registration: '<string>',
make: '<string>',
model: '<string>',
year: 123,
active: true,
tags: ['<string>'],
connection_id: '<string>',
description: '<string>'
})
};
fetch('https://api.pathstack.io/device', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"system_device_id": "<string>",
"registration": "<string>",
"make": "<string>",
"model": "<string>",
"year": 123,
"active": true,
"tags": [
"<string>"
],
"id": "<string>",
"connection_id": "<string>",
"description": "<string>"
}
}{
"error": {
"code": 400,
"message": "Invalid JWT format"
}
}{
"error": {
"code": 401,
"message": "Authentication header is missing, or token is invalid/expired."
}
}{
"error": {
"code": 403,
"message": "You do not have access to this resource"
}
}{
"error": {
"code": 404,
"message": "Connection with ID <connection_id> not found"
}
}{
"error": {
"code": 405,
"message": "The telematics provider for this Device does not support creation of Devices with the API"
}
}{
"error": {
"code": 422,
"message": "Field required",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
}Devices
Create Device
This endpoint creates a Device.
Not all providers are supported, currently only Digital Matter is supported.
The created Device is returned in the response.
POST
/
device
Create Device
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
Successful Response
Successful response payload
Show child attributes
Show child attributes
⌘I

